Skip to main content
`Ctrl`+`K`

# PetscSectionGetConstrainedStorageSize

Return the size of an array or local `Vec` capable of holding all unconstrained degrees of freedom in a `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetConstrainedStorageSize(PetscSection s, PetscInt *size)

Not Collective

## Input Parameter

- s - the `PetscSection`

## Output Parameter

- size - the size of an array which can hold all unconstrained dofs

## See Also

PetscSection, `PetscSection`, `PetscSectionGetStorageSize()`, `PetscSectionGetOffset()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages